• Submit a planning request
      POST
    • Get the status of a planning request
      GET
    • Schemas
      • PlanningInput
      • PlanningSubmittedResult
      • PlanningStatusResult
      • PlanningStatus
      • PlanningResult
      • Issue
      • IssueType
      • WorkOrderAssignmentRuleIntervalUnit
      • PinnedWorkOrderAssignment
      • WorkOrderAssignment
      • Location
      • WorkOrderAssignmentRule
      • PeriodDates
      • Employee
      • Address
      • GeoLocation

      Get the status of a planning request

      GET
      /v1/status/id

      Request

      Authorization
      API Key
      Add parameter in query
      key
      Example:
      key: ********************
      or
      Path Params

      Responses

      🟢200
      application/json
      Planning status result
      Body

      Request Request Example
      Shell
      JavaScript
      Java
      Swift
      curl --location --request GET '/v1/status/id?key=<api-key>'
      Response Response Example
      {
          "status": "Pending",
          "result": {
              "assignments": [
                  {
                      "workOrderId": "string",
                      "employeeId": "string",
                      "start": "2019-08-24T14:15:22.123Z",
                      "end": "2019-08-24T14:15:22.123Z"
                  }
              ],
              "issues": [
                  {
                      "type": "PinnedAssignmentWithoutEmployee",
                      "workOrderId": "string",
                      "employeeId": "string",
                      "locationId": "string",
                      "metadata": {
                          "property1": "string",
                          "property2": "string"
                      }
                  }
              ]
          }
      }
      Modified at 2026-01-13 21:40:50
      Previous
      Submit a planning request
      Next
      PlanningInput
      Built with